package com.javacodegeeks.reactivestreams

import java.io.File

import scala.concurrent.duration.DurationInt
import scala.language.postfixOps
import scala.util.Random

import akka.NotUsed
import akka.stream.scaladsl.FileIO
import akka.stream.scaladsl.Source
import akka.util.ByteString
import java.nio.file.Path

object Sources extends App {
  val file: Path = ???
  val chunkSize: Int = ???
  
  val source1: Source[Int, NotUsed] = Source(1 to 10)
  val source2: Source[Int, NotUsed] = Source(Set(1, 2, 3, 4, 5))
  val source3: Source[String, NotUsed] = Source.single("Reactive Streams")
  val source4: Source[ByteString, _] = FileIO.fromPath(file)
  val source5: Source[Int, _] = Source.tick(1 second, 10 seconds, Random.nextInt())
}